Bug 247302 - setroubleshoot's autostart .desktop file fails to start under a KDE session
setroubleshoot's autostart .desktop file fails to start under a KDE session
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: John Dennis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-06 15:04 EDT by Niko Mirthes
Modified: 2008-02-28 16:43 EST (History)
0 users

See Also:
Fixed In Version: setroubleshoot-2.0.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-09 11:56:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch allowing setroubleshoot's autostart file to start as expected under a KDE session (291 bytes, patch)
2007-07-06 15:04 EDT, Niko Mirthes
no flags Details | Diff

  None (edit)
Description Niko Mirthes 2007-07-06 15:04:51 EDT
Description of problem:
The sealert systray applet fails to open when starting a KDE session. As far 
as I know, this will be changed via a patch, allowing KDE to look in 
$XDG_CONFIG_DIRS/autostart (/etc/xdg/autostart). I've made some minor changes 
to sealertauto.desktop to allow it to start successfully under a KDE session.

How reproducible:
Always.

Steps to Reproduce:
1.Start a KDE session
  
Actual results:
Note that the foo.desktop files placed in /etc/xdg/autostart aren't seen when 
KDE starts and the apps they reference are not started. Moving them to a 
location where they are seen by a KDE session results in undesirable behavior.

Expected results:
The desktop files in the system-wide autostart directory should start without 
major issues.

Additional info:
The attached patch adds:

StartupNotify=false
X-KDE-autostart-after=panel

StartupNotify allows the applet to start under a KDE session without 
displaying KDE's app start up notification icon.

X-KDE-autostart-after=panel allows the applet to start after KDE's panel 
(kicker), preventing a race between the panel and the applet.

I've also run desktop-file-validate against sealertauto.desktop with thew 
following result:

/etc/xdg/autostart/sealertauto.desktop: error: required key "Type" not found

which causes the KDE session to display an error dialog about the missing 
entry. This patch adds that entry long with the other two.
Comment 1 Niko Mirthes 2007-07-06 15:04:51 EDT
Created attachment 158693 [details]
Patch allowing setroubleshoot's autostart file to start as expected under a KDE session
Comment 2 John Dennis 2008-01-09 11:56:17 EST
Thank you for your patch! It should appear in setroubleshoot-2.0.2
Comment 3 Fedora Update System 2008-01-15 17:54:54 EST
setroubleshoot-2.0.2-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update setroubleshoot'
Comment 4 Fedora Update System 2008-02-25 21:18:49 EST
setroubleshoot-plugins-2.0.4-3.fc8,setroubleshoot-2.0.5-2.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-02-28 16:43:00 EST
setroubleshoot-plugins-2.0.4-3.fc8, setroubleshoot-2.0.5-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.